Add LICENSE.txt in the root directory
2024-02-07 03:35 - Go MAEDA

Status: Closed Start date:
Assignee: Go MAEDA % Done: 0%
Description

Currently, the COPYING file which describes the license of Redmine is placed under the doc directory. This placement might not be
immediately obvious to people.

| propose the addition of a short license file, named LICENSE.txt, to the root directory. This file briefly states that Redmine is licensed
under the GNU General Public License version 2 (GPLv2) and the full license text can be found in the doc directory.

This approach has several benefits:
1. It makes it easier for people to find and understand the licensing information at a glance

2. GitHub will automatically detect the presence of the LICENSE.txt file and display a link to it in the repository's sidebar
3. It aligns with the common practice among open-source projects to include licensing information in the root directory

Related issues:
Related to Redmine - Defect #40189: about packaging and distribution on fedora Closed
Related to Redmine - Patch #40043: Remove year ranges from all copyright headers Closed

Associated revisions

Revision 22875 - 2024-06-12 11:39 - Go MAEDA
Add LICENSE.txt in the root directory (#40202).

History

#1 - 2024-02-07 03:35 - Go MAEDA
- Related to Defect #40189: about packaging and distribution on fedora added

#2 - 2024-02-07 16:48 - Holger Just
- Related to Patch #40043: Remove year ranges from all copyright headers added

#3 - 2024-02-07 16:52 - Holger Just
Note that in each file header, we currently specify the following:
This program is free software; you can redistribute it and/or

modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

As such, Redmine is licensed under the GPL 2.0 or any later version, currently either GPLv2 or GPLv3. This distinction should not (and can not
easily) be removed as it would require the consent of all contributors (which can not be easily obtained).

As such, I'd rather propose to add the text from the current file headers to the new LICENSE.TXT file, e.g. the following slightly adapted text as a
combination of your proposal with the existing text from all our file headers:

Redmine - project management software
Copyright (C) Jean-Philippe Lang

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License

as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,

but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

For the full text of the license, please see the "COPYING
located in the “doc’ directory.

You can also find the full text of the GPL version 2 at the Free

Software Foundation's website at
https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html

or by writing to the Free Software Foundation, Inc.,

51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

#4 - 2024-02-08 11:28 - Go MAEDA
- File 40202-v2.patch added

Holger Just wrote in #note-3:

As such, I'd rather propose to add the text from the current file headers to the new LICENSE.TXT file, e.g. the following slightly adapted text as a

combination of your proposal with the existing text from all our file headers:

Thank you, | have updated the patch.

#5 - 2024-05-28 10:48 - Go MAEDA
- Category changed from Code cleanup/refactoring to Documentation

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#6 - 2024-06-12 11:39 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Added in r22875.
